## org.eclipse.datatools.sqltools.sqlbuilder.model
Class DatabaseHelper

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.model.DatabaseHelper

    public class DatabaseHelper

extends java.lang.Object

Provides utility functions related to database.

Constructor Summary
`DatabaseHelper()`

Method Summary
`static java.util.List` `getSchemaList(Database database)` Returns the list of schemas for the given database.
`static java.util.List` `getTableList(Database database)` Returns the list of tables for the given database.
`static java.util.List` `getTableList(Schema schema)` Returns the List of tables belonging to the given schema.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatabaseHelper

    public DatabaseHelper()

Method Detail

### getTableList

    public static java.util.List getTableList(Database database)

  Returns the list of tables for the given database.

  Returns:
    the List of tables

### getTableList

    public static java.util.List getTableList(Schema schema)

  Returns the List of tables belonging to the given schema.

  Parameters:
    `schema` - the Schema for which tables are needed
  Returns:
    the List of tables

### getSchemaList

    public static java.util.List getSchemaList(Database database)

  Returns the list of schemas for the given database.

  Returns:
    the List of schemas